## python-urlobject 2.3.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/URLObject.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/URLObject.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/URLObject"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/URLObject"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-urlobject (2.3.4-1) unstable; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 11 Jan 2014 15:20:18 +0100

## python-urlobject 2.4.0

=== debian/changelog ===
python-urlobject (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 05 Jul 2016 16:57:16 +0200

=== debian/control ===
Source: python-urlobject
Maintainer: Andrew Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Homepage: http://github.com/zacharyvoase/urlobject
Build-Depends:
    dh-python,
    python-setuptools (>= 0.6.24),
    python3-setuptools (>= 0.6.24),
    python-all (>= 2.6.6-3),
    python3-all, python-sphinx (>= 1.0.7+dfsg) | python3-sphinx,
    debhelper (>= 9),
    python-six, python3-six
Standards-Version: 3.9.5

Package: python-urlobject
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-six, ${sphinxdoc:Depends}
Provides: ${python:Provides}
Description: utility class for manipulating URLs.
 URLObject is a utility class for manipulating URLs. The latest
 incarnation of this library builds upon the ideas of its
 predecessor, but aims for a clearer API, focusing on proper
 method names over operator overrides. It's also being developed
 from the ground up in a test-driven manner, and has full
 Sphinx documentation.

Package: python3-urlobject
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six, ${sphinxdoc:Depends}
Description: utility class for manipulating URLs.
 URLObject is a utility class for manipulating URLs. The latest
 incarnation of this library builds upon the ideas of its
 predecessor, but aims for a clearer API, focusing on proper
 method names over operator overrides. It's also being developed
 from the ground up in a test-driven manner, and has full
 Sphinx documentation.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-urlobject/
export PYBUILD_DESTDIR_python3=debian/python3-urlobject/

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C doc clean html SPHINXOPTS=-N

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C doc clean

.PHONY: override_dh_auto_build override_dh_auto_clean

## python-urlobject 2.4.3

=== debian/changelog ===
python-urlobject (2.4.3-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 20 Nov 2022 12:17:12 +0000

python-urlobject (2.4.3-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-setuptools.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 20:07:59 +0100

python-urlobject (2.4.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 04:05:32 +0100

python-urlobject (2.4.3-4) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * Update the VCS paths. Closes: #946096

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Jun 2022 00:22:38 -0400

python-urlobject (2.4.3-3) unstable; urgency=medium

  * No change rebuild.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 27 Oct 2019 22:54:20 +0100

python-urlobject (2.4.3-2) unstable; urgency=medium

  * Fix FTBFS: install README.rst, not README.md.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 27 Oct 2019 22:45:52 +0100

python-urlobject (2.4.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * Non-maintainer upload.
  * Drop python2 support; Closes: #938245.

  [ Andrej Shadura ]
  * New upstream version.
  * Refresh the patch.
  * Maintain in the team.
  * Run wrap-and-sort -bask.
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 13 Oct 2019 17:34:49 +0200

=== debian/control ===
Source: python-urlobject
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>
Section: python
Priority: optional
Homepage: https://github.com/zacharyvoase/urlobject
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx
Standards-Version: 3.9.5
Vcs-Git: https://salsa.debian.org/python-team/packages/python-urlobject.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-urlobject

Package: python3-urlobject
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: utility class for manipulating URLs.
 URLObject is a utility class for manipulating URLs. The latest
 incarnation of this library builds upon the ideas of its
 predecessor, but aims for a clearer API, focusing on proper
 method names over operator overrides. It's also being developed
 from the ground up in a test-driven manner, and has full
 Sphinx documentation.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
-export PYBUILD_DESTDIR_python2=debian/python-urlobject/
 export PYBUILD_DESTDIR_python3=debian/python3-urlobject/
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build -v

=== debian/watch ===
version=4
opts="mode=git" https://github.com/zacharyvoase/urlobject.git \
refs/tags/v([\d\.]+) debian uupdate

## python-urlobject 3.0.0

=== debian/changelog ===
python-urlobject (3.0.0-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 3.0.0
  * Patch-out "six" altogether
  * Enable tests wit pytest
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Use dh-sequence-python3, trim d/rules

 -- Alexandre Detiste <tchet@debian.org>  Thu, 26 Feb 2026 13:29:30 +0100

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,21 @@
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>
 Section: python
-Priority: optional
 Homepage: https://github.com/zacharyvoase/urlobject
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
- python3-six,
- python3-sphinx
-Standards-Version: 3.9.5
+ python3-sphinx,
+ python3-pytest <!nocheck>,
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-urlobject.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-urlobject
 
 Package: python3-urlobject
 Architecture: all
 Depends:
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR=debian/python3-urlobject/

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -v
	$(MAKE) -C doc clean html SPHINXOPTS=-N

execute_after_dh_auto_clean:
	$(MAKE) -C doc clean
